> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getFilterChanges on HyperEVM

> eth_getFilterChanges returns new entries for a filter since the last poll on HyperEVM, via GoldRush JSON-RPC.

> [card] 0.01 credits per call

`eth_getFilterChanges` on **HyperEVM**: Returns new entries for a filter since the last poll.

## Endpoint

```
https://rpc.goldrushdata.com/v1/hyperevm-mainnet
```

Authenticate with `Authorization: Bearer <GOLDRUSH_API_KEY>`. See [authentication](https://goldrush.dev/docs/goldrush-json-rpc/authentication.md).

## Parameters

| Name | Type | Required | Description | Example |
| - | - | - | - | - |
| `filterId` | `QUANTITY` | yes | Hex-encoded filter ID. | `"0x16"` |

## Returns

`Array`: Array of matches; element shape depends on filter type.

```json theme={null}
[{"address":"0xa0b86991...","topics":["0xddf252ad..."],"data":"0x..."}]
```

## Examples

```bash curl theme={null}
curl https://rpc.goldrushdata.com/v1/hyperevm-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "eth_getFilterChanges",
    "params": ["0x16"]
  }'
```

```typescript ethers v6 theme={null}
import { ethers } from "ethers";

const url = "https://rpc.goldrushdata.com/v1/hyperevm-mainnet";
const fetchReq = new ethers.FetchRequest(url);
fetchReq.setHeader("Authorization", `Bearer ${process.env.GOLDRUSH_API_KEY}`);

const provider = new ethers.JsonRpcProvider(fetchReq);
const result = await provider.send("eth_getFilterChanges", ["0x16"]);
console.log(result);
```

```typescript viem theme={null}
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://rpc.goldrushdata.com/v1/hyperevm-mainnet", {
    fetchOptions: {
      headers: {
        Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}`,
      },
    },
  }),
});

const result = await client.request({
  method: "eth_getFilterChanges",
  params: ["0x16"],
});
console.log(result);
```

```javascript web3.js theme={null}
import { Web3 } from "web3";

const provider = new Web3.providers.HttpProvider(
  "https://rpc.goldrushdata.com/v1/hyperevm-mainnet",
  {
    headers: [
      { name: "Authorization", value: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
    ],
  }
);
const web3 = new Web3(provider);

const result = await web3.currentProvider.request({
  method: "eth_getFilterChanges",
  params: ["0x16"],
});
console.log(result);
```

```python web3.py theme={null}
from os import environ
from web3 import Web3

w3 = Web3(Web3.HTTPProvider(
    "https://rpc.goldrushdata.com/v1/hyperevm-mainnet",
    request_kwargs={
        "headers": {
            "Authorization": f"Bearer {environ['GOLDRUSH_API_KEY']}",
        },
    },
))
result = w3.manager.request_blocking("eth_getFilterChanges", ["0x16"])
print(result)
```

## Errors

Standard JSON-RPC errors: `-32600` invalid request, `-32601` method not found, `-32602` invalid params.

## Related Logs and events methods on HyperEVM

* [`eth_getLogs` on HyperEVM](https://goldrush.dev/docs/api-reference/json-rpc/hyperevm/eth-getlogs)
* [`eth_newFilter` on HyperEVM](https://goldrush.dev/docs/api-reference/json-rpc/hyperevm/eth-newfilter)
* [`eth_newBlockFilter` on HyperEVM](https://goldrush.dev/docs/api-reference/json-rpc/hyperevm/eth-newblockfilter)
* [`eth_newPendingTransactionFilter` on HyperEVM](https://goldrush.dev/docs/api-reference/json-rpc/hyperevm/eth-newpendingtransactionfilter)
* [`eth_uninstallFilter` on HyperEVM](https://goldrush.dev/docs/api-reference/json-rpc/hyperevm/eth-uninstallfilter)

## Also available on

* [`eth_getFilterChanges` on Ethereum](https://goldrush.dev/docs/api-reference/json-rpc/ethereum/eth-getfilterchanges)
* [`eth_getFilterChanges` on Polygon](https://goldrush.dev/docs/api-reference/json-rpc/polygon/eth-getfilterchanges)
* [`eth_getFilterChanges` on BNB Smart Chain (BSC)](https://goldrush.dev/docs/api-reference/json-rpc/bsc/eth-getfilterchanges)
* [`eth_getFilterChanges` on Arbitrum](https://goldrush.dev/docs/api-reference/json-rpc/arbitrum/eth-getfilterchanges)
* [`eth_getFilterChanges` on Base](https://goldrush.dev/docs/api-reference/json-rpc/base/eth-getfilterchanges)
* [`eth_getFilterChanges` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/eth-getfilterchanges)
* [`eth_getFilterChanges` on Monad](https://goldrush.dev/docs/api-reference/json-rpc/monad/eth-getfilterchanges)
* [`eth_getFilterChanges` on Tempo](https://goldrush.dev/docs/api-reference/json-rpc/tempo/eth-getfilterchanges)
* [`eth_getFilterChanges` on Robinhood Chain](https://goldrush.dev/docs/api-reference/json-rpc/robinhood/eth-getfilterchanges)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.